PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsDestroy

Destroys an option database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsDestroy(PetscOptions *options)

Logically collective on whatever communicator was associated with the call to PetscOptionsCreate()

### Input Parameter

| options | - the PetscOptions object

### See Also

PetscOptionsInsert(), PetscOptionsPush(), PetscOptionsPop(), PetscOptionsInsert(), PetscOptionsSetValue()

### Level

advanced

### Location

src/sys/objects/options.c

### Examples

src/sys/tutorials/ex19.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages